Summary:          An anonymizing overlay network for TCP
Name:             tor
Version:          0.2.2.37
Release:          1%{?dist}%{?pext}
License:          BSD
Group:            System Environment/Daemons
Source0:          http://www.torproject.org/dist/%{name}-%{version}.tar.gz
Source1:          %{name}.init
Source2:          %{name}.sysconfig
Source3:          %{name}.logrotate
Patch0:           %{name}-0.2.2.33-config.patch
Patch1:           %{name}-0.2.2.33-keepalive.patch
URL:              http://www.torproject.org/
Buildroot:        %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Vendor:           The Tor Project, Inc. <tor-bugs@lists.torproject.org>
Requires(pre):    /usr/sbin/groupadd /usr/sbin/useradd
Requires(post):   /sbin/chkconfig
Requires(preun):  /sbin/chkconfig /sbin/service
Requires(postun): /sbin/service
BuildRequires:    libevent-devel openssl-devel zlib-devel


%description
Tor (The onion router) is a connection-based low-latency anonymous com-
munication system. Applications connect to the local Tor proxy using the
SOCKS protocol. The local proxy chooses a path through a set of relays,
in which each relay knows its predecessor and successor, but no others.
Traffic flowing down the circuit is unwrapped by a symmetric key at each
relay, which reveals the downstream relay.


%prep
%setup -q
%patch0 -p1
%patch1 -p1

# Prepare docs
%{__mkdir_p} doc_inst/{spec,web}
%{__cp} doc/spec/*           doc_inst/spec
%{__cp} contrib/*.{html,ico} doc_inst/web


%build
%configure \
	CFLAGS="${CFLAGS} -DOPENSSL_NO_KRB5" \
	--enable-instrument-downloads        \
	--with-tor-user=%{name}              \
	--with-tor-group=%{name}

%{__make} %{?_smp_mflags}


%install
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_initrddir}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_sysconfdir}/{logrotate.d,sysconfig}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_sbindir}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_datadir}/%{name}/contrib
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_localstatedir}/{lib,log,run}/%{name}

%{__make} \
	DESTDIR=${RPM_BUILD_ROOT} \
	install

%{__mv} ${RPM_BUILD_ROOT}%{_bindir}/%{name} ${RPM_BUILD_ROOT}%{_sbindir}

%{__install} -m 0755 %{SOURCE1} ${RPM_BUILD_ROOT}%{_initrddir}/%{name}
%{__install} -m 0644 %{SOURCE2} ${RPM_BUILD_ROOT}%{_sysconfdir}/sysconfig/%{name}
%{__install} -m 0644 %{SOURCE3} ${RPM_BUILD_ROOT}%{_sysconfdir}/logrotate.d/%{name}

%{__install} -m 0644 contrib/{exitlist,linux-tor-prio.sh,tor-ctrl.sh} \
	${RPM_BUILD_ROOT}%{_datadir}/%{name}/contrib

%{__rm} -rf  ${RPM_BUILD_ROOT}%{_docdir}


%pre
if ! getent group  %{name} >/dev/null 2>&1; then
  /usr/sbin/groupadd -r %{name}
fi
if ! getent passwd %{name} >/dev/null 2>&1; then
  /usr/sbin/useradd  -r -g %{name}       \
	-d %{_localstatedir}/lib/%{name} \
	-c "Tor Service user"            \
	-s /sbin/nologin %{name}
fi
exit 0			# Always pass


%post
/sbin/chkconfig --add %{name}


%preun
if [ $1 -eq 0 ]; then	# Remove
  /sbin/service %{name} stop >/dev/null 2>&1
  /sbin/chkconfig --del %{name}
fi


%postun
if [ $1 -ge 1 ]; then	# Upgrade
  /sbin/service %{name} condrestart >/dev/null 2>&1 || :
fi


%clean
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc ChangeLog INSTALL LICENSE README ReleaseNotes
%doc doc/{HACKING,TODO} doc_inst/*
%{_initrddir}/%{name}
%config(noreplace) %{_sysconfdir}/sysconfig/%{name}
%config(noreplace) %{_sysconfdir}/logrotate.d/%{name}
%attr(750,root,%{name}) %dir %{_sysconfdir}/%{name}
%attr(640,root,%{name}) %config(noreplace) %{_sysconfdir}/%{name}/%{name}-tsocks.conf
%attr(640,root,%{name}) %{_sysconfdir}/%{name}/torrc.sample
%{_bindir}/%{name}-gencert
%{_bindir}/%{name}-resolve
%{_bindir}/torify
%{_sbindir}/%{name}
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/contrib
%config(noreplace) %{_datadir}/%{name}/geoip
%{_mandir}/man1/*.1*
%attr(750,%{name},%{name}) %dir %{_localstatedir}/lib/%{name}
%attr(750,%{name},%{name}) %dir %{_localstatedir}/log/%{name}
%attr(750,%{name},%{name}) %dir %{_localstatedir}/run/%{name}


%changelog
* Sat Jun 23 2012 Peter Pramberger <peterpramb@member.fsf.org> - 0.2.2.37-1
- New version (0.2.2.37)

* Tue Dec 27 2011 Peter Pramberger <peterpramb@member.fsf.org> - 0.2.2.35-1
- New version (0.2.2.35)

* Sat Oct 29 2011 Peter Pramberger <peterpramb@member.fsf.org> - 0.2.2.34-1
- New version (0.2.2.34)

* Mon Oct 03 2011 Peter Pramberger <peterpramb@member.fsf.org> - 0.2.2.33-1
- New version (0.2.2.33)

* Tue Mar 01 2011 Peter Pramberger <peterpramb@member.fsf.org> - 0.2.1.30-1
- New version (0.2.1.30)

* Wed Jan 19 2011 Peter Pramberger <peterpramb@member.fsf.org> - 0.2.1.29-1
- New version (0.2.1.29)

* Mon Dec 20 2010 Peter Pramberger <peterpramb@member.fsf.org> - 0.2.1.28-1
- New version (0.2.1.28)

* Mon Oct 25 2010 Peter Pramberger <peterpramb@member.fsf.org> - 0.2.1.26-1
- New version (0.2.1.26)

* Fri Jun 26 2009 Peter Pramberger <peterpramb@member.fsf.org> - 0.2.0.35-1
- New version (0.2.0.35)

* Sun Mar 01 2009 Peter Pramberger <peterpramb@member.fsf.org> - 0.2.0.34-1
- New version (0.2.0.34)

* Sun Mar 23 2008 Peter Pramberger <peterpramb@member.fsf.org> - 0.1.2.19-12
- Rewritten for buildsystem

* Sun Jan 20 2008 peter.pramberger@member.fsf.org 0.1.2.19-11
- new version (0.1.2.19)

* Wed Oct 31 2007 peter.pramberger@member.fsf.org 0.1.2.18-11
- new version (0.1.2.18)

* Tue Oct 09 2007 peter.pramberger@member.fsf.org 0.1.2.17-11
- new libevent version (1.3e)

* Fri Aug 31 2007 peter.pramberger@member.fsf.org 0.1.2.17-10
- new version (0.1.2.17)

* Mon Aug 06 2007 peter.pramberger@member.fsf.org 0.1.2.16-10
- new version (0.1.2.16)

* Wed Jul 25 2007 peter.pramberger@member.fsf.org 0.1.2.15-10
- new version (0.1.2.15)

* Tue May 29 2007 peter.pramberger@member.fsf.org 0.1.2.14-10
- new version (0.1.2.14)

* Fri May 11 2007 peter.pramberger@member.fsf.org 0.1.2.13-10
- new version (0.1.2.13)
- updated config patch
- updated accounting patch
- updated init script to verify config before start/reload

* Mon Jan 22 2007 peter.pramberger@member.fsf.org 0.1.1.26-10
- fixed linkage problem on x86_64

* Thu Jan 18 2007 peter.pramberger@member.fsf.org 0.1.1.26-9
- rebuild for new libevent version (1.2a)

* Mon Dec 18 2006 peter.pramberger@member.fsf.org 0.1.1.26-8
- new version (0.1.1.26)

* Thu Nov 09 2006 peter.pramberger@member.fsf.org 0.1.1.25-8
- new version (0.1.1.25)

* Sun Oct 08 2006 peter.pramberger@member.fsf.org
- new version (0.1.1.24)

* Fri Sep 08 2006 peter.pramberger@member.fsf.org
- rebuild for new libevent version (1.1b)

* Thu Aug 24 2006 peter.pramberger@member.fsf.org
- added resolver patch
- updated init script to remove localdomain

* Fri Aug 04 2006 peter.pramberger@member.fsf.org
- new version (0.1.1.23)

* Sat Jul 08 2006 peter.pramberger@member.fsf.org
- new version (0.1.1.22)

* Mon Jun 12 2006 peter.pramberger@member.fsf.org
- new version (0.1.1.21)

* Wed May 24 2006 peter.pramberger@member.fsf.org
- new version (0.1.1.20)
- updated config patch
- updated TCP keepalive patch
- updated accounting patch

* Tue Feb 21 2006 peter.pramberger@member.fsf.org
- new version (0.1.0.17)

* Wed Jan 04 2006 peter.pramberger@member.fsf.org
- new version (0.1.0.16)

* Sun Oct 30 2005 peter.pramberger@member.fsf.org
- fixed typo in logrotate config

* Sat Oct 29 2005 peter.pramberger@member.fsf.org
- updated config patch
- added TCP keepalive patch
- added accounting patch
- updated init script for slow shutdown

* Wed Oct 26 2005 peter.pramberger@member.fsf.org
- created
